#
# spec file for package python-pytest-cov
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pytest-cov
Version:        2.2.0
Release:        2.4
Summary:        Pytest plugin for coverage reporting
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/schlamar/pytest-cov
Source:         https://pypi.python.org/packages/source/p/pytest-cov/pytest-cov-%{version}.tar.gz
BuildRequires:  python-coverage >= 3.7.1
BuildRequires:  python-cov-core >= 1.14.0
BuildRequires:  python-devel
BuildRequires:  python-pytest >= 2.6.0
BuildRequires:  python-setuptools
# Test requirements:
BuildRequires:  python-process-tests
BuildRequires:  python-py >= 1.4.22
BuildRequires:  python-virtualenv
Requires:       python-coverage >= 3.7.1
Requires:       python-cov-core >= 1.14.0
Requires:       python-pytest >= 2.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This plugin produces coverage reports.  It supports centralised testing and distributed testing in
both load and each modes.  It also supports coverage of subprocesses.

All features offered by the coverage package should be available, either through pytest-cov or
through coverage's config file.

%prep
%setup -q -n pytest-cov-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
pushd tests
PYTHONPATH=%{buildroot}%{python_sitelib} python test_pytest_cov.py
popd

%files
%defattr(-,root,root,-)
%doc AUTHORS.rst CHANGELOG.rst LICENSE README.rst
%{python_sitelib}/*

%changelog
* Thu Oct 22 2015 toddrme2178@gmail.com
- Update to version 2.2.0
  * Added support for changing working directory in tests.
    Previously changing working directory would disable coverage
    measurements in suprocesses.
  * Fixed broken handling for --cov-report=annotate.
- Update to version 2.1.0
  * Added support for coverage 4.0b2.
  * Added the --cov-append command line options.
    Contributed by Christian Ledermann in PR#80.
- Update to version 2.0.0
  * Added --cov-fail-under, akin to the new fail_under option in
    coverage-4.0 (automatically activated if there’s a
    [report] fail_under = ... in .coveragerc).
  * Changed --cov-report=term to automatically upgrade to
  - -cov-report=term-missing if there’s
    [run] show_missing = True in .coveragerc.
  * Changed --cov so it can be used with no path argument
    (in wich case the source settings from .coveragerc will
    be used instead).
  * Fixed .pth installation to work in all cases
    (install, easy_install, wheels, develop etc).
  * Fixed .pth uninstallation to work for wheel installs.
  * Support for coverage 4.0.
  * Data file suffixing changed to use coverage’s
    data_suffix=True option (instead of the custom suffixing).
  * Avoid warning about missing coverage data
    (just like coverage.control.process_startup).
  * Fixed a race condition when running with xdist
    (all the workers tried to combine the files).
    It’s possible that this issue is not present in
    pytest-cov 1.8.X.
* Tue May 12 2015 benoit.monin@gmx.fr
- update to version 1.8.1:
  * no changelog available
- update project URL
- increase minimum version of python-cov-core and python-pytest
- set a minimum version for python-py
* Wed Jul 30 2014 toddrme2178@gmail.com
- Update to 1.7.0
  * No upstream changelog
* Mon Aug 12 2013 speilicke@suse.com
- Initial version
